# PSF-LoginServer - master - net.psforever.objects.zones.MapEnvironment
PSF - LoginServer - master - net.psforever.objects.zones.MapEnvironment
Keywords: PSF LoginServer master net.psforever.objects.zones.MapEnvironment

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

o

net.psforever.objects.zones

# MapEnvironment

###

#### object MapEnvironment

Source
  MapInfo.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MapEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final val map11Environment: List[PieceOfEnvironment]

    HART denial fields for the New Conglomerate sanctuary

13.  final val map12Environment: List[PieceOfEnvironment]

    HART denial fields for the Terran Republic sanctuary

14.  final val map13Environment: List[PieceOfEnvironment]

    HART denial fields for the Vanu Sovereignty sanctuary

15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def specialHartGantryDenialFields(obbasemesh: PlanetSideGUID): List[PieceOfEnvironment]

    Generate eight environmental representations that serve to eject players from the high altitude rapid transport (HART) building boarding hallways when the HART shuttle associated with that building is no longer boarding and the doors to those hallways should deny entrance.

    Generate eight environmental representations that serve to eject players from the high altitude rapid transport (HART) building boarding hallways when the HART shuttle associated with that building is no longer boarding and the doors to those hallways should deny entrance. When kicked out of the hallway, ejected players should be placed in the same position as if the player willingly dismounted the shuttle.
    The New Conglomerate HART A campus building is at an ordinal angle which makes the typical axis-aligned environment geometry unsuitable for representation of the denial field. Instead of rectangles, circles will be used. This facility is centered at 4816, 3506, 68.73806 (x ,y, z).

    obbasemesh

      the globally unique identifier of the orbital shuttle pad, an amenity of an `orbital_building_*`

    returns

      a list of environmental representations

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped